/*
    File: main.cpp
    Version: 0.2.1
    Date: 1998/14/01
    Copyright: Bernhard Kuhn <kuhn@lpr.e-technik.tu-muenchen.de>

    This file does nothing else then embedding ksermon (k serial monitor)
    into an k-application

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/



// get some header files

#include "ksermon.h"

#include <kapp.h>



// define global pointer to k-application (used in ksermon.o)

KApplication* mykapp;



// main program

int main(int argc,char **argv) {

  // initialisize k-application
  mykapp = new KApplication(argc,argv,"ksermon");

  // create serial monitor
  ksermon serial_monitor("QSermon");
  mykapp->setMainWidget(&serial_monitor);
  serial_monitor.show();

  // overgive control to kapp mainloop 
  return mykapp->exec();
};
